libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_synthesis_blockin

declared in "vorbis/codec.h";

This function submits a vorbis_block for assembly into the final decoded audio. After calling this function, decoded audio can be obtained with vorbis_synthesis_pcmout.

    extern int      vorbis_synthesis_blockin(vorbis_dsp_state *v,vorbis_block *vb);

### Parameters

v
  The vorbis_dsp_state for the decoder instance.
vb
  The vorbis_block to submit. After this function returns, it can be reused in another call to vorbis_synthesis.

### Return Values

> - 0 on success.
> - OV_EINVAL if the decoder is in an invalid state to accept blocks.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101